Update amenities for property
PUT
https://api.propexo.com/v1/amenities/properties/:idUpdate property amenities for any integration. This is a convenience endpoint that acts as a generic proxy for all amenity creation endpoints.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
id stringrequired
The ID of the resource.
Request
This endpoint expects an object.
featuresstring[]
A list of overall property amenities. Any previously saved values that are not submitted in the update request will be deleted
Show 63 enum values
LaundryRoomWheelchairAccessDoorAttendantElevatorParkingStorageUnitsPoolFitnessCenterTennisCourtClubHousePowerParkingCommercialSprinklerSystemDockHighDoorsOrLoadingAvailableAvailability24HoursAccentWallsBasketballCourtBilingualBoatDocksBusinessCenterCarWashAreaChildCareClubDiscountConferenceRoomConciergeFreeWeightsFurnishedAvailableGamingStationsGarageGateGroceryServiceGroupExerciseGuestRoomHousekeepingHouseSittingJoggingWalkingTrailsLakeFrontLakeAccessLibraryMealServiceMediaRoomMultiUseRoomNightPatrolOnSiteMaintenanceOnSiteManagementPackageReceivingPerDiemAcceptedPlayGroundRacquetballRecRoomRecyclingSaunaShortTermLeaseSmokeFreeSpaSundeckTransportationTVLoungeValetTrashVintageVolleyballCourtWirelessInternetHighSpeedInternetincluded_in_rentstring[]
A list of amenities that are included in rent. Any previously saved values that are not submitted in the update request will be deleted
Show 12 enum values
GasElectricTrashWaterHotWaterTelephoneHeatCableAirConSatelliteSewerBroadbandInternetResponse
Successful response
job_idstringrequired
The ID of the job created to handle this operation
data objectrequired
object
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/amenities/properties/:id
curl -X PUT https://api.propexo.com/v1/amenities/properties/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"features": [
"LaundryRoom"
],
"included_in_rent": [
"Gas"
]
}'
200 Successful response
{
"job_id": "string",
"data": {}
}